Grantlee 5.3.0

Public Attributes | List of all members
Grantlee::Token Struct Reference

`#include <grantlee/token.h>`

## Public Attributes
QString | content
| The content of this Token. More...
int | linenumber
| The line number this Token starts at. More...
int | tokenType
| The Type of this Token. More...

## Detailed Description

A token in a parse stream for a template.

This class is only relevant for template tag implementations.

Definition at line 48 of file token.h.

## Member Data Documentation

## ◆ content

QString Grantlee::Token::content

Definition at line 51 of file token.h.

## ◆ linenumber

int Grantlee::Token::linenumber

Definition at line 50 of file token.h.

## ◆ tokenType

int Grantlee::Token::tokenType

Definition at line 49 of file token.h.